std::shared_timed_mutex(3cxx)

NAME
std::shared_timed_mutex - The standard shared timed mutex type.

SYNOPSIS

#include <shared_mutex>

Inherits __shared_timed_mutex_base.

  Public Member Functions

shared_timed_mutex (const shared_timed_mutex &)=delete
void lock ()
void lock_shared ()
shared_timed_mutex & operator= (const shared_timed_mutex &)=delete
bool try_lock ()
template<typename _Rep , typename _Period > bool try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
bool try_lock_shared ()
template<typename _Rep , typename _Period > bool try_lock_shared_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration > bool try_lock_shared_until (const chrono::time_point< _Clock, _Duration > &__abs_time)
template<typename _Clock , typename _Duration > bool try_lock_until (const chrono::time_point< _Clock, _Duration > &__abs_time)
void unlock ()
void unlock_shared ()

Detailed Description

The standard shared timed mutex type.

Author

Generated automatically by Doxygen for libstdc++ from the source code.